#
# spec file for package python-xsge_lighting
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-xsge_lighting
Version:        1.0.3
Release:        2.4
Summary:        xSGE Lighting Library
License:        LGPL-3.0-or-later
URL:            https://python-sge.github.io/
#Git-Clone:     https://github.com/python-sge/xsge
Source:         https://files.pythonhosted.org/packages/source/x/xsge_lighting/xsge_lighting-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
Requires:       python-sge-pygame >= 1.0
BuildRequires:  fdupes
BuildArch:      noarch
%python_subpackages

%description
xSGE is a collection of extensions for SGE.
xSGE extensions are not dependent on any particular SGE implementation.
They should work with any implementation that follows the specification.

This extension provides an interface for lighting.

%prep
%setup -q -n xsge_lighting-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README
%license xsge_lighting/COPYING
%{python_sitelib}/xsge_lighting
%{python_sitelib}/xsge_lighting-%{version}.dist-info

%changelog
* Fri Mar 15 2024 Steve Kowalik <steven.kowalik@suse.com>
- Add missing BuildRequires on setuptools.
- Drop unneeded Requires on six.
* Fri Dec 29 2023 Dirk Müller <dmueller@suse.com>
- update to 1.0.3:
  * Relicensed to LGPL
* Wed May 26 2021 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.0.2:
  * Remove Python 2 support.
- Do not build for Python 3.6, due to no NumPy.
* Tue Oct 20 2020 Bernhard Wiedemann <bwiedemann@suse.com>
- Update upstream URL
* Thu Jul 26 2018 jengelh@inai.de
- Trim redundancies from description.
* Tue Jul 24 2018 mardnh@gmx.de
- Correct name of the changes file
* Sun Jul 22 2018 mardnh@gmx.de
- Initial package, version 1.0.1
